<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-04-02 15:27:00
////////////////////


/**
 * Static Model hero 角色
 */
class sm_hero
{

    /**
    * @var Int32 角色编号  
    */
    public $id;

    /**
    * @var Int32 角色唯一ID  
    */
    public $typeID;

    /**
    * @var Int32 角色资源ID  
    */
    public $heroResID;

    /**
    * @var String 名称  
    */
    public $name;

    /**
    * @var Int32 角色星级  
    */
    public $starLv;

    /**
    * @var Int32 角色最高星级  
    */
    public $Maxlevel;

    /**
    * @var String 稀有度  
    */
    public $rarity;

    /**
    * @var String 备注  
    */
    public $desc;

    /**
    * @var Int32 是否为默认解锁 (0:不解锁 1:解锁) default(0) 
    */
    public $isDefaultUnlock;

    /**
    * @var String 需要的人物碎片：itemId,num  
    */
    public $heroDebris_need;

    /**
    * @var Int32 英雄身上带的武器Id default(0) 
    */
    public $skillId;

    /**
    * @var Int32 特定技能 default(0) 
    */
    public $specific_skillId;

    /**
    * @var String 特定描述信息  
    */
    public $specific_skillDesc;

    /**
    * @var String 英雄形象小图标  
    */
    public $img;

    /**
    * @var String 半身像  
    */
    public $imgBig;

    /**
    * @var Int32 初始伤害(值)  
    */
    public $attack;

    /**
    * @var Single 初始移动速度 (倍率)  
    */
    public $speed;

    /**
    * @var Int32 初始生命(值)  
    */
    public $hp;

    /**
    * @var Int32 每5秒增加生命恢复(逻辑) 2023.11.28 default(0) 
    */
    public $recover_Hp;

    /**
    * @var Single 初始伤害减免 (值) default(0) 
    */
    public $dec_demage;

    /**
    * @var Single 重击率(百分比)  
    */
    public $bigHit_rate;

    /**
    * @var Single 重击倍率: 初始2倍 default(200) 
    */
    public $bigHit_Val;

    /**
    * @var Single 神圣一击率(百分比)  
    */
    public $sentHit_rate;

    /**
    * @var Single 普通怪物秒杀几率(百分比) default(0) 
    */
    public $instantKillMonsterRate;

    /**
    * @var Single 初始拾取半径(倍率) default(1) 
    */
    public $pickup_radius;

    /**
    * @var Int32 [废弃]解锁成就id
    *    
    */
    public $acc_id;

    /**
    * @var Int32 是否上架: 0 显式, 1 隐藏  
    */
    public $is_hide;

    /**
    * @var Single 体积  
    */
    public $size;

    /**
    * @var Int32 解锁需要花费的金币数量 default(0) 
    */
    public $unlock_needGold;

    /**
    * @var Int32 武器上限 (目前固定写死) default(6) 
    */
    public $skillNumMax;

    /**
    * @var Single 角色额外伤害加成 (倍率） default(1) 
    */
    public $mul_atk;

    /**
    * @var Single 角色子弹速度加成 (倍率)  default(0) 
    */
    public $mul_bullet_speed;

    /**
    * @var Single 子弹持续时间加成 (倍率)  default(1) 
    */
    public $mul_bullet_sustainTime;

    /**
    * @var Single 技能攻击范围加成 (倍率)  default(1) 
    */
    public $mul_atk_range;

    /**
    * @var Single 技能冷却时间加成 (倍率) 允许负值  
    */
    public $mul_cooldown;

    /**
    * @var Int32 子弹数量加成 (值) default(0) 
    */
    public $add_bulletnum;

    /**
    * @var Int32 复活次数加成 (值) default(0) 
    */
    public $add_reliveTimes;

    /**
    * @var Single 经验获取加成 (倍率) default(1) 
    */
    public $mul_gainExp;

    /**
    * @var Single 金币获取加成 (倍率) default(1) 
    */
    public $mul_gainGold;

    /**
    * @var String 角色特殊词条 default(0) 
    */
    public $special_predicate;

    /**
    * @var String 头像图片  
    */
    public $headImg;

    /**
    * @var Int32 角色卡(道具ID) default(0) 
    */
    public $roleCard;

    /**
    * @var Single 战斗力计算公式: 角色系数 default(1) 
    */
    public $mulFightPower;

}

