<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-03-28 17:36:10
////////////////////


/**
 * Static Model skills 技能表
 */
class sm_skills
{

    /**
    * @var Int32 索引id  
    */
    public $id;

    /**
    * @var Int32 技能id default(0) 
    */
    public $skillId;

    /**
    * @var Int32 下一等级  
    */
    public $next;

    /**
    * @var Int32 该技能是否会突破，默认1:突破 0:不突破 default(1) 
    */
    public $isTupo;

    /**
    * @var Int32 同一种技能的类别区分(1~6星是同一个id) default(0) 
    */
    public $typeId;

    /**
    * @var Int32 星级(6代表终极武器) default(0) 
    */
    public $starLv;

    /**
    * @var Int32 超武等级 default(99) 
    */
    public $supperLv;

    /**
    * @var String 技能名称  
    */
    public $name;

    /**
    * @var String 图标  
    */
    public $icon;

    /**
    * @var Int32 类型：主动还是被动1:主动；2:被动；3:金币鸡腿技能; 4:条件触发 default(0) 
    */
    public $skillType;

    /**
    * @var String 组合技能  
    */
    public $composeSkill;

    /**
    * @var String 描述信息  
    */
    public $desc;

    /**
    * @var String 额外字段  
    */
    public $etc;

    /**
    * @var Single 伤害倍率  
    */
    public $atkRate;

    /**
    * @var Int32 子弹数量  
    */
    public $bullet_num;

    /**
    * @var Single 子弹体积(倍率) default(0) 
    */
    public $bullet_size;

    /**
    * @var Single 子弹初始化速度 default(1) 
    */
    public $prime_bullet_speed;

    /**
    * @var Single 子弹飞行速度修正(倍率)  
    */
    public $bullet_speed;

    /**
    * @var Single 子弹转动速度修正(倍率) default(0) 
    */
    public $bullet_rotationSpeed;

    /**
    * @var Single 子弹发射间隔(秒) default(0.1) 
    */
    public $bullet_ejectInterval;

    /**
    * @var Single 技能持续(生存)时间(具体值则指秒数, 0 代表无限制) default(0.000) 
    */
    public $bullet_sustainTime;

    /**
    * @var String 子弹命中效果: 0（默认,无:错误值）1 命中消失 2（爆炸）3（穿透）4（击退（包含击退距离））5（边缘回弹）6（怪物+边缘回弹）7（自动锁定）  
    */
    public $bullet_hitType;

    /**
    * @var Single 子弹爆炸范围(倍率) default(1) 
    */
    public $bullet_explodeRange;

    /**
    * @var Single 击退距离% default(0) 
    */
    public $repulse_distance;

    /**
    * @var Int32 子弹伤害次数(0,无限,具体值则按数量执行)  
    */
    public $bullet_damageTimes;

    /**
    * @var Int32 0默认值
    *  1自己
    *  2敌方
    *    
    */
    public $aim_type;

    /**
    * @var Single 【废弃】攻击距离或范围(倍率值)  
    */
    public $aim_para;

    /**
    * @var Single 冷却时间(秒)  
    */
    public $coolTime;

    /**
    * @var String buffid: 灼烧/流血、减速或麻痹等(支持冒号、逗号分割,最多4个)（例: 8341:100,9527:60,...)
    *    
    */
    public $buffId;

    /**
    * @var String 词条编号,如有多条, 逗号分隔 default(0) 
    */
    public $predicates;

    /**
    * @var Int32 立即: 获得金币num  
    */
    public $immediate_gold;

    /**
    * @var Single 立即: 获得生命%  
    */
    public $immediate_hp;

    /**
    * @var Int32 稀有度(影响三选一出现几率) 2023.11.20  
    */
    public $rarety;

    /**
    * @var Int32 是否穿墙 0 不穿，1 穿（默认）2023.11.20 default(1) 
    */
    public $can_passwall;

    /**
    * @var Int32 冷却计算开始时机：0 在技能开始, 1 在技能结束(子弹持续时间之后) default(0) 
    */
    public $intervalDependsOnDuration;

    /**
    * @var Single 碰撞盒延迟时间（单位：秒）2023.11.20 default(0) 
    */
    public $hitBoxDelay;

    /**
    * @var String 增益（生效）(逗号分割)列表 2023.11.20
    *  0 无(不生效）
    *  1 攻击力
    *  2 冷却时间
    *  3 攻击范围
    *  4 子弹速度
    *  5 持续时间
    *  6 子弹数量
    *  7 伤害次数
    *  8 击退距离
    *    
    */
    public $buffEffectTabel;

    /**
    * @var Int32 攻击范围词条对技能生效类型: 1 影响攻击范围 2 影响子弹体积 3 同时影响攻击范围和子弹体积
    *   default(1) 
    */
    public $atkRangeBuffEffectType;

    /**
    * @var String 额外释放技能id(逗号分隔,对应不同星级角色的终结技；需填满5个对应5星) default(0) 
    */
    public $extraSkillId;

    /**
    * @var Int32 额外释放技能所需heroID(使用特定皮肤时会释放额外技能id) default(0) 
    */
    public $extraHeroId;

    /**
    * @var String (释放额外技能需要)释放普通技能n次触发特殊技能(逗号分隔,对应英雄的不同星级)  
    */
    public $emit_number;

    /**
    * @var Int32 解锁顺序(从小到大)2024.8.26  
    */
    public $unlock_order;

    /**
    * @var String 技能解锁条件(多个解锁条件使用逗号分隔)
    *  类型0: 默认解锁; 举例 0:0 默认解锁, 不在法术书界面展示, 0:1 默认解锁, 在法术书界面展示
    *  类型1:通关指定关卡解锁技能；例如通关第一关:1:1（类型+第X关）
    *  类型2:解锁指定人物解锁技能：例如解锁孙悟空:2:1001(类型+角色唯一ID)
    *  类型3:玩家失败次数解锁技能：例如玩家失败一次解锁技能3:1(类型+累计失败次数)
    *  类型4:不解锁技能 4:9999
    *  类型5: 玩家等级解锁, 玩家等级达到指定值(比如5级)，配置1:5(玩家等级)  
    */
    public $unlock_acc_id_new;

}

